const mongoose = require("mongoose");

const PrizeSchema = new mongoose.Schema({
  name: {
    type: String,
  },
  description: {
    type: String,
  },
  amount: {
    type: Number,
  },
  imageURL: {
    type: String,
  },
  IsActive: {
    type: Boolean,
  },
  IsDelete: {
    type: Boolean,
  },
  CreatedBy: {
    type: String,
  },
  CreatedOn: {
    type: Date,
  },
  ModifiedBy: {
    type: String,
    default: null,
  },
  ModifiedOn: {
    type: Date,
    default: null,
  },
});

const Prize = mongoose.model("Prize", PrizeSchema);

module.exports = Prize;
